<?php 	

function construction_renovation_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'construction_hub_pro_documentation' );
    $wp_customize->remove_section( 'construction_hub_color_option' );
}
add_action( 'customize_register', 'construction_renovation_remove_customize_register', 11 );

function construction_renovation_customize_register( $wp_customize ) {
    // Services Option
    $wp_customize->add_section('construction_renovation_services_option',array(
        'title' => __('Our Services Section', 'construction-renovation'),
        'panel' => 'construction_hub_panel_id'
    ) );

    $wp_customize->add_setting('construction_renovation_services_counter',array(
        'default'=> '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('construction_renovation_services_counter',array(
        'label' => __('Service Counter ','construction-renovation'),
        'section'=> 'construction_renovation_services_option',
        'type'=> 'number'
    ));

    $services_cus = get_theme_mod('construction_renovation_services_counter','');
    for ( $i = 1; $i <= $services_cus; $i++ ) {
        $wp_customize->add_setting('construction_renovation_services_icon'.$i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        )); 
            $wp_customize->add_control('construction_renovation_services_icon'.$i,array(
            'label' => __('Icon ','construction-renovation').$i,
            'description' => __('Fontawesome Icon ex: fas fa-phone','construction-renovation'),
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));

        $wp_customize->add_setting('construction_renovation_services_heading'.$i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        )); 
            $wp_customize->add_control('construction_renovation_services_heading'.$i,array(
            'label' => __('Title ','construction-renovation').$i,
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));

        $wp_customize->add_setting('construction_renovation_services_text'.$i,array(
            'default'=> '',
            'sanitize_callback' => 'sanitize_text_field'
        )); 
            $wp_customize->add_control('construction_renovation_services_text'.$i,array(
            'label' => __('Text ','construction-renovation').$i,
            'section'=> 'construction_renovation_services_option',
            'type'=> 'text'
        ));
    }
    $wp_customize->add_setting('construction_renovation_services_image',array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'construction_renovation_services_image',array(
        'label' => __('Image ','construction-renovation'),
        'description' => __('Image Dimension ( 475 x 300 )','construction-renovation'),
        'section' => 'construction_renovation_services_option',
        'settings' => 'construction_renovation_services_image',
    )));
}
add_action( 'customize_register', 'construction_renovation_customize_register' );